class MyStack {
  private static final int size_of_stack = 128;      // private
  
  private double[] a = new double[ size_of_stack ];  // private
  private int num_data = 0;                          // private
  
  void push( double d ) { a[ num_data++ ] = d; }
  
  double pop() { return a[ --num_data ]; }

  void popAndPrintAllData() {
    for( int i = 0; num_data != 0; i++ ) System.out.print( pop() + " " );
    System.out.println();
  }
  
  public static void main( String args[] ) {
    MyStack stack = new MyStack();
    stack.push( 1.0 );
    stack.push( 2.0 );
    stack.push( 3.0 );
    stack.popAndPrintAllData();
  }
}