package com.learnjava2002.calculator; // com.learnjava2002.calcuratorpbP[W

class MyStack {
  private static final int size_of_stack = 128;
  private double[] a = new double[ size_of_stack ];
  private int num_data = 0;
  
  void push( double d ) { a[ num_data++ ] = d; }
  double pop() { return a[ --num_data ]; }
}

public class RPNCalc { // t|[hL@̐vZvZ@NX(public)

  private MyStack stack = new MyStack(); // vZɎgpX^bN
  
  private boolean isOperator( String s ) { // sZqǂ𔻒f
    char c = s.charAt( 0 );
    if ( s.length() == 1 && (c == '+' || c == '-' || c == 'x' || c == '/' ) ) {
      return true;
    }
    else { return false; }
  }
  
  public double calc( String args[] ) { // ̔z𐔎߂ČvZ
    
    for( int i = 0; i < args.length; i++ ) {
      double d1 = 0.0, d2 = 0.0;
      
      if( isOperator( args[ i ] ) ) {
        // o񂪉ZqȂCIyh|bvČvZCʂvbV
        switch( args[ i ].charAt( 0 ) ) {
          case '+' : { d2 = stack.pop(); d1 = stack.pop(); stack.push( d1 + d2 ); } break;
          case '-' : { d2 = stack.pop(); d1 = stack.pop(); stack.push( d1 - d2 ); } break;
          case 'x' : { d2 = stack.pop(); d1 = stack.pop(); stack.push( d1 * d2 ); } break;
          case '/' : { d2 = stack.pop(); d1 = stack.pop(); stack.push( d1 / d2 ); } break;
        }
      }
      else { // o񂪉ZqłȂȂCX^bNɃvbV邾
        stack.push( Double.parseDouble( args[ i ] ) );
      }
    }
    
    return stack.pop(); // ŌɃX^bNɎcf[^vZʂȂ̂ŁCԂ
  }
}